Wie Abhängigkeiten bei heruntergeladenen DEB-Paket automatisch auflösen?

Dieses Thema im Forum "Debian/Ubuntu/Knoppix" wurde erstellt von wunderhorn, 15.05.2008.

  1. #1 wunderhorn, 15.05.2008
    wunderhorn

    wunderhorn Mitglied

    Dabei seit:
    01.05.2005
    Beiträge:
    31
    Zustimmungen:
    0
    Hallo zusammen,

    ich bin heute wieder mal über ein Problem gestolpert, welches sich mir ab und zu stellt. Ich habe Chandler heruntergeladen und wollte es installieren. Dabei werden verschiedene Abhängigkeiten angemeckert.
    Code:
    debian:/home/chribra# dpkg -i Chandler_linux_0.7.5.1-1_i386.deb 
    (Lese Datenbank ... 203322 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereiten zum Ersetzen von chandler 0.7.5.1-1 (durch Chandler_linux_0.7.5.1-1_i386.deb) ...
    Entpacke Ersatz für chandler ...
    dpkg: Abhängigkeitsprobleme verhindern Konfiguration von chandler:
     chandler hängt ab von libicu36 (>= 3.6); aber:
      Paket libicu36 ist nicht installiert.
     chandler hängt ab von python-setuptools (>= 0.6c6); aber:
      Paket python-setuptools ist nicht installiert.
     chandler hängt ab von python-docutils (>= 0.4); aber:
      Paket python-docutils ist nicht installiert.
     chandler hängt ab von python-configobj (>= 4.3.2); aber:
      Paket python-configobj ist nicht installiert.
     chandler hängt ab von python-zopeinterface (>= 3.3.1); aber:
      Paket python-zopeinterface ist nicht installiert.
    dpkg: Fehler beim Bearbeiten von chandler (--install):
     Abhängigkeitsprobleme - lasse es unkonfiguriert
    Fehler traten auf beim Bearbeiten von:
     chandler
    debian:/home/chribra# 
    Natürlich könnte ich jetzt die einzelnen Pakete über aptitude install <Paketname> usw. installieren. Nur frage ich mich, ob das nicht auch automatisch gehen könnte. Habe schon mal bei Google geschaut, jedoch nichts gefunden. man dpkg sagt auch nichts darüber. Ich denke man müsste es mit apt-get oder aptitude installieren. Nur habe ich dort nichts gefunden, wie ich ihm hier ein eigenes DEB-Paket angeben kann. Bin aber der festen Überzeugung, dass das gehen müsste. Nur wie ist die Frage...

    OS ist Debian Lenny.

    Grüße

    Christian
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 gropiuskalle, 15.05.2008
    gropiuskalle

    gropiuskalle terra incognita

    Dabei seit:
    01.07.2006
    Beiträge:
    4.857
    Zustimmungen:
    0
    Ort:
    Berlin
    Das könntest Du bewerkstelligen, indem Du bei Deinem Paketmanager ein lokales Repository einrichtest und dort Deine extern gezogenen Pakete reinwirfst.
     
  4. #3 Goodspeed, 15.05.2008
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Versuch's mal mit
    Code:
    apt-get install -f
    
     
  5. sinn3r

    sinn3r Law & Order
    Moderator

    Dabei seit:
    28.12.2006
    Beiträge:
    2.764
    Zustimmungen:
    0
    Ort:
    Wentorf
  6. #5 Goodspeed, 15.05.2008
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
  7. #6 wunderhorn, 15.05.2008
    wunderhorn

    wunderhorn Mitglied

    Dabei seit:
    01.05.2005
    Beiträge:
    31
    Zustimmungen:
    0
    Erledigt: Wie Abhängigkeiten bei heruntergeladenen DEB-Paket automatisch auflösen?

    Hallo zusammen,

    vielen Dank für die Antworten. Besonders den Hinweis von gropiuskalle wegen des lokalen Repositorys fand ich extrem hilfreich. Das ist wirklich mal neu für mich. Habe ich gleich eingerichtet.
    Leider scheitert er wegen libicu36. Wie auch schon angesprochen. Dann muss ich mir das Paket eben selber bauen. :D

    Viele Grüße

    Christian
     
  8. Cdh

    Cdh Mitglied

    Dabei seit:
    10.05.2008
    Beiträge:
    35
    Zustimmungen:
    0
    Ort:
    Stuttgart
  9. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  10. #8 Keruskerfürst, 15.05.2008
    Keruskerfürst

    Keruskerfürst Kaiser

    Dabei seit:
    12.02.2006
    Beiträge:
    1.366
    Zustimmungen:
    0
    Wieso denn Chandler ausgerechnet mit dpkg installieren?

    apt-get install ist doch das richtige Kommando.
     
  11. #9 Goodspeed, 15.05.2008
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Wenn Du ein entsprechendes Repo hast sicher, aber ...
     
Thema: Wie Abhängigkeiten bei heruntergeladenen DEB-Paket automatisch auflösen?
Besucher kamen mit folgenden Suchen
  1. debian deb installieren abhängigkeiten

Die Seite wird geladen...

Wie Abhängigkeiten bei heruntergeladenen DEB-Paket automatisch auflösen? - Ähnliche Themen

  1. Wer kann mir eine Info zu Abhängigkeiten unter Kubuntu 14.04 geben ?

    Wer kann mir eine Info zu Abhängigkeiten unter Kubuntu 14.04 geben ?: Kann mir Jemand eine Information zu Abhängigkeiten unter Kubuntu 14.04 geben ? Es geht um das Paket Libavcodec-extra-54 , da steht in der...
  2. CrossOver 14.0 installiert Abhängigkeiten automatisch

    CrossOver 14.0 installiert Abhängigkeiten automatisch: CrossOver 14.0 von CodeWeavers, das auf Wine 1.7.25 basiert, bringt für Linux eine neue automatische Konfiguration, die Systemkomponenten...
  3. Debian vertraut Paketbetreuern in Sachen Systemd-Abhängigkeiten

    Debian vertraut Paketbetreuern in Sachen Systemd-Abhängigkeiten: Der technische Ausschuss von Debian (CTTE) hat in einer zweiten Abstimmungsrunde beschlossen, derzeit keine Regel zu erlassen, die bestimmt, ob...
  4. RPM Abhängigkeiten zusammenstellen und herunterladen

    RPM Abhängigkeiten zusammenstellen und herunterladen: Hallo liebe Unixboard-Gemeinde, ich habe einen CentOS-Server in einer Zone ohne Zugang zum Internet stehen und muss dort die Pakete...
  5. abhängigkeiten NICHT auflösen

    abhängigkeiten NICHT auflösen: Hi, ich hab ne kommerzielle Software unter Debian 6 laufen, die eigentlich fuer Debian 5 gemacht wurde. Sie ist gegen libmotif3 gelinkt. Debian...